> ## Documentation Index
> Fetch the complete documentation index at: https://qatech-docs-bankid-manual-auth.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Post run 1

> Rerun a specific run with optional filters



## OpenAPI

````yaml /api-reference/api.json post /run/{shortId}
openapi: 3.0.0
info:
  title: QA.tech API
  version: 1.0.0
  description: API for managing test runs, test cases, and project configuration
servers:
  - url: https://api.qa.tech/v1
    description: Production
    variables: {}
security: []
tags: []
paths:
  /run/{shortId}:
    post:
      description: Rerun a specific run with optional filters
      operationId: RerunRunOp
      parameters:
        - name: shortId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RerunRequest'
      responses:
        '200':
          description: The request has succeeded.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RerunResponse'
        '400':
          description: Validation error or bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
        '401':
          description: Missing or invalid API key
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
        '402':
          description: Usage limit exceeded
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
        '403':
          description: Account suspended or invalid token
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
        '404':
          description: Resource not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
        '500':
          description: Server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
      security:
        - bearerAuth: []
components:
  schemas:
    RerunRequest:
      type: object
      properties:
        failedOnly:
          type: boolean
        projectTestCaseIds:
          type: array
          items:
            type: string
    RerunResponse:
      type: object
      required:
        - success
        - run
      properties:
        success:
          type: boolean
        run:
          $ref: '#/components/schemas/RerunRun'
    RerunRun:
      type: object
      required:
        - id
        - shortId
        - url
        - testCount
      properties:
        id:
          type: string
        shortId:
          type: string
        url:
          type: string
        testCount:
          type: integer
          format: int32
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Project API token from Settings > Integrations > API. The token is
        scoped to a specific project.

````